Page MenuHomePhabricator

Improve tabbing in template dialog
Closed, ResolvedPublic1 Story Points

Description

Currently, when you tab through the fields in the template dialog, the info button and delete button attached to each field have their own place in the tab order (because we actively set positive tabindex values for them). So the tab order goes: text field, info, delete, text field, info, delete, textfield...

However, you can't actually interact with either the info button (e.g. by pressing enter to show) or the delete button (e.g. by pressing enter to delete) from the keyboard, so we should either change that or make it so tabbing moves directly between text fields.

Event Timeline

Neil_P._Quinn_WMF updated the task description. (Show Details)
Neil_P._Quinn_WMF raised the priority of this task from to Low.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2015, 6:25 PM
Neil_P._Quinn_WMF renamed this task from Improve tab order in template dialog to Improve tabbing in template dialog.Apr 27 2015, 6:28 PM
Neil_P._Quinn_WMF updated the task description. (Show Details)
Neil_P._Quinn_WMF set Security to None.
Elitre added a subscriber: Elitre.Apr 27 2015, 6:59 PM

@Whatamidoing-WMF, T70768 is about choosing between two designs for tabbing behavior (one where the info and trash button accessible from the keyboard, and one where they're not). This bug is saying that we're not actually adhering successfully to either of those designs, because you can tab to the buttons but you can't actually use the keyboard to interact with them once you're there.

Krenair added a subscriber: Krenair.EditedMay 17 2015, 12:43 PM

I noticed that the icons (when you have both delete and info icons) are positioned brokenly as well.
Edit: But not on my local wiki

Krenair claimed this task.May 17 2015, 1:03 PM

Change 211521 had a related patch set uploaded (by Alex Monk):
Fix tabbing to info/delete buttons in template dialogs

https://gerrit.wikimedia.org/r/211521

or make it so tabbing moves directly between text fields.

Note that we made these accessible by keyboard deliberately in T67474

Change 211521 merged by jenkins-bot:
Fix tabbing to info/delete buttons in template dialogs

https://gerrit.wikimedia.org/r/211521

Jdforrester-WMF closed this task as Resolved.Jun 4 2015, 10:33 PM
Jdforrester-WMF edited a custom field.

@Krenair, I just tried this out on the beta cluster, and now the tabbing goes straight from one parameter field to the next without hitting the parameter actions in between. Was that your intention?

Works for me...

@Krenair, ah, I see. It works as expected on Chrome and Safari, but not in Firefox (where the tabbing skips the parameter actions altogether). I'll file a different bug for that.